<?php
/**
 * Provides a string of ancestry term names.
 * Use this to create hackable URLs for term fields.
 */
class views_catalog_handler_field_taxonomy_ancestry extends views_handler_field_taxonomy {
  function render($values) {
    $parents = taxonomy_get_parents_all($values->tid);
    $parents = array_reverse($parents);
    
    foreach ($parents as $parent_term) {
      $names[] = str_replace(' ', '-', strtolower($parent_term->name));
    }
    
    $ancestry_string = implode('/', $names);
    return $this->render_link(check_plain($ancestry_string), $values);
  }
}

